nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Protected Member Functions | List of all members
nx::sdk::ActiveSettingChangedResponse Class Reference
Inheritance diagram for nx::sdk::ActiveSettingChangedResponse:

## Public Member Functions
void | setActionResponse (Ptr< const ActionResponse > value)
void | setSettingsResponse (Ptr< const SettingsResponse > value)
Public Member Functions inherited from nx::sdk::RefCountable< IActiveSettingChangedResponse >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Public Member Functions inherited from nx::sdk::IActiveSettingChangedResponse
Ptr< const IActionResponse > | actionResponse () const
Ptr< const ISettingsResponse > | settingsResponse () const
Public Member Functions inherited from nx::sdk::Interface< IActiveSettingChangedResponse >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
int | refCountThreadUnsafe () const

## Protected Member Functions
virtual const IActionResponse * | getActionResponse () const override
virtual const ISettingsResponse * | getSettingsResponse () const override
Protected Member Functions inherited from nx::sdk::Interface< IActiveSettingChangedResponse >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Additional Inherited Members
Static Public Member Functions inherited from nx::sdk::IActiveSettingChangedResponse
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ getActionResponse()

const IActionResponse * nx::sdk::ActiveSettingChangedResponse::getActionResponse | ( |  | ) | const
| overrideprotectedvirtual

Called by actionResponse()

Implements nx::sdk::IActiveSettingChangedResponse.

## ◆ getSettingsResponse()

const ISettingsResponse * nx::sdk::ActiveSettingChangedResponse::getSettingsResponse | ( |  | ) | const
| overrideprotectedvirtual

Called by settingsResponse()

Implements nx::sdk::IActiveSettingChangedResponse.

The documentation for this class was generated from the following files:

- src/nx/sdk/helpers/active_setting_changed_response.h
- src/nx/sdk/helpers/active_setting_changed_response.cpp